MKTEMP(1)

NUME
mktemp - creează un fișier sau un director temporar

REZUMAT
mktemp [OPȚIUNE]... [ȘABLON]

DESCRIERE

Creează un fișier sau un director temporar, în condiții de siguranță, și afișează numele acestuia. ȘABLONUL trebuie să conțină cel puțin 3 "X" consecutivi în ultima componentă. Dacă ȘABLONUL nu este specificat, se utilizează tmp.XXXXXXXXXX, iar --tmpdir este opțiunea implicită. Fișierele sunt create u+rw, iar directoarele u+rwx, fără restricții umask.

-d, --directory
    creează un director, nu un fișier

-u, --dry-run
    nu creează nimic; afișează pur și simplu un nume (nesigur)

-q, --quiet
    suprimă diagnosticarea despre eșecul creării fișierului/directorului

--suffix=SUFIX
    adaugă SUFIX la ȘABLON; SUFIX nu trebuie să conțină o bară oblică. Această opțiune este implicită dacă ȘABLONUL nu se termină în X

-p DIR, --tmpdir[=DIR]
    interpretează ȘABLON în raport cu DIR; dacă DIR nu este specificat, utilizează variabila $TMPDIR dacă este stabilită, altfel /tmp. Cu această opțiune, ȘABLON nu trebuie să fie un nume absolut; spre deosebire de -t, ȘABLONUL poate conține bare oblice, dar «mktemp» creează doar componenta finală

-t  interpretează ȘABLON ca o singură componentă a numelui de fișier, relativ la un director: $TMPDIR, dacă este stabilită; altfel directorul specificat prin „-p; altfel /tmp [depreciat]

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

AUTOR
Scris de Jim Meyering și Eric Blake.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2022 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
mkstemp(3), mkdtemp(3), mktemp(3)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/mktemp>
sau local rulând comanda: «info '(coreutils) mktemp invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.